Re: compiling error of NAMD2.7b1

From: Joachim Hein (j.hein_at_ed.ac.uk)
Date: Mon Apr 20 2009 - 06:05:38 CDT

> zhngbn_at_gmail.com wrote:
>> Dear all:
>>
>> I was trying to compile the NAMD2.7b1 version on a CRAY-XT3
>> supercomputer, and get the following error that I do not understand.
>>
>> PGCC-W-0277-Cannot inline function _mm_set_pd - data type mismatch
>> (/opt/pgi/7.0.7/linux86-64/7.0-7/include/CC/iostream: 882)
>> PGCC-W-0277-Cannot inline function _mm_set_pd - data type mismatch
>> (/opt/pgi/7.0.7/linux86-64/7.0-7/include/CC/iostream: 883)
>> PGCC-W-0277-Cannot inline function _mm_set_pd - data type mismatch
>> (/opt/pgi/7.0.7/linux86-64/7.0-7/include/CC/iostream: 884)
>>
>> Does this look familiar to you guys? Any idea what would be the problem?
>>
>> Thanks a lot.
>> Bin
>
  Hi Bin,

  try using the gcc compiles on a Cray XT.

    module swap PrgEnv-pgi PrgEnv-gnu

  You need to do this for all: charm++, FFTW, TCL and namd

  I have no problems building XT executables with gcc and have not
  received any problem reports for the ones I build (knock on wood).

  Hope this helps.

  Best wishes
    Joachim

-- 
The University of Edinburgh is a charitable body, registered in
Scotland, with registration number SC005336.

This archive was generated by hypermail 2.1.6 : Wed Feb 29 2012 - 15:50:47 CST